Skip to content
Proud to collaborate with Microsoft for Startups

docusign.cloud-storage.get-cloud-storage-folder ​

Retrieves a list of the user's items from the specified cloud storage provider. To limit the scope of the items returned, provide a comma-separated list of folder IDs in the request.

Gets a list of items from a cloud storage provider.

Overview ​

PropertyValue
Workflow typeAtomic
LibraryApp-docusign
Version1.0

Input Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Docusign API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
accountidstringYes—The external account number (int) or account ID GUID.
folderidstringYes—The ID of the folder.
serviceidstringYes—The ID of the service to access. Valid values are the service name ("Box") or the numerical serviceId ("4136").
useridstringYes—The ID of the user to access. Note: Users can only access their own information. A user, even one with Admin rights, cannot access another user's settings.
cloud_storage_folder_pathstringNo—The file path to a cloud storage folder.
cloud_storage_folderid_plainstringNo—A plain-text folder ID that you can use as an alternative to the existing folder id. This property is mainly used for rooms. Enter multiple folder IDs as a comma-separated list.
countstringNo—The maximum number of results to return. Use start_position to specify the number of results to skip. Default: 25
orderstringNo—The order in which to sort the results. Valid values are: * asc: Ascending order. * desc: Descending order.
order_bystringNo—The file attribute to use to sort the results. Valid values are: * modified * name
search_textstringNo—Use this parameter to search for specific text.
sky_drive_skip_tokenstringNo——
start_positionstringNo—The zero-based index of the result from which to start returning results. Use with count to limit the number of results. The default value is 0.

Output Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Docusign API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
accountidstringYes—The external account number (int) or account ID GUID.
folderidstringYes—The ID of the folder.
serviceidstringYes—The ID of the service to access. Valid values are the service name ("Box") or the numerical serviceId ("4136").
useridstringYes—The ID of the user to access. Note: Users can only access their own information. A user, even one with Admin rights, cannot access another user's settings.
cloud_storage_folder_pathstringNo—The file path to a cloud storage folder.
cloud_storage_folderid_plainstringNo—A plain-text folder ID that you can use as an alternative to the existing folder id. This property is mainly used for rooms. Enter multiple folder IDs as a comma-separated list.
countstringNo—The maximum number of results to return. Use start_position to specify the number of results to skip. Default: 25
orderstringNo—The order in which to sort the results. Valid values are: * asc: Ascending order. * desc: Descending order.
order_bystringNo—The file attribute to use to sort the results. Valid values are: * modified * name
search_textstringNo—Use this parameter to search for specific text.
sky_drive_skip_tokenstringNo——
start_positionstringNo—The zero-based index of the result from which to start returning results. Use with count to limit the number of results. The default value is 0.
status_codeintegerNo—HTTP status code of the completed call
responsejsonNo—Parsed JSON response body
failure_reasonstringNo——
failure_typestringNo——
failed_atstringNo——
failed_stepstringNo——
failed_layerstringNo——
failed_at_statestringNo——
errorstringNo——
error_typestringNo——

States ​

StateInitialTerminalSuccessAuto-advanceDescription
pendingYesNo—executeWaiting to call GET /v2.1/accounts/{accountId}/users/{userId}/cloud_storage/{serviceId}/folders/
completedNoYesYes—HTTP call succeeded
failedNoYesNo—HTTP call failed

State Diagram ​

Transitions ​

FromActionToDescription
pendingexecutecompletedPerform GET /v2.1/accounts/{accountId}/users/{userId}/cloud_storage/{serviceId}/folders/
* (any state)failfailedRecord the failure reason

API Usage ​

bash
POST /api/workflows/start
Content-Type: application/json

{
  "workflow_type": "docusign.cloud-storage.get-cloud-storage-folder",
  "initial_data": {
    "base_url": "value",
    "accountid": "value",
    "folderid": "value",
    "serviceid": "value"
  }
}